require 'thor'
require 'foodie_maful'
require 'foodie_maful/generators/recipe'

module FoodieMaful
  class CLI < Thor
    desc 'portray ITEM', 'Determines if a piece of food is gross or delicious'
    def portray(name)
      puts FoodieMaful::Food.portray(name)
    end

    desc 'pluralize', 'Pluralizes a word'
    method_option :word, aliases: '-w'
    def pluralize
      puts FoodieMaful::Food.pluralize(options[:word])
    end

    desc 'recipe', 'Generates a recipe scaffold'
    def recipe(group, name)
      FoodieMaful::Generators::Recipe.start([group, name])
    end
  end
end
